node("docker-node") {
    docker.withRegistry('https://harbor.ervine.dev', 'jenkins-to-harbor') {
    
        git branch: "3.11.3", url: "ssh://git@git.ervine.org:2222/jonny/x86_64-alpine-3.11", credentialsId: 'jenkins-to-git'
    
        sh "git rev-parse HEAD > .git/commit-id"
        def commit_id = readFile('.git/commit-id').trim()
        println commit_id
    
        stage "build"
        def app = docker.build "library/x86_64/alpine/alpine-3.11"
    
        stage "publish"
        app.push("${env.BUILD_NUMBER}")
        app.push("latest")
        app.push("3.11.6")
        app.push("3.11")
    }
}
